/******************************************************************************
 *
 * 	Barcode Scanner Demo Application
 *
 *	Copyright (c) 2006	Janam Partners LLC. All rights reserved.
 *
 * 	File: 			SetupDlgs.h
 *
 * 	Release: 		Palm OS 5.x
 *
 * 	Description: 	Header define for the Barcode Scanner Demo Application
 *
 * 	History:	
 *	Version 1.0		PT, JL			Oct, 2006
 *
 *****************************************************************************/
 
#ifdef __cplusplus
	extern "C" {
#endif

#pragma once

//Define the bitset for each option. 
#define F_CHK_ENA		0x1
#define F_CHK_XMIT		0x2
#define F_STRT_STP		0x4
#define F_APPEND		0x8
#define F_FULLASC		0x10
#define F_CONCAT		0x20
#define F_2CHKDIG		0x40
#define F_OLDSTYLE		0x80
#define F_EXPAND		0x100
#define F_NUMSYSXMIT	0x200
#define F_2DIGADDA		0x400
#define F_5DIGADDA		0x800
#define	F_ADDAREQ		0x1000
#define	F_ADDASEP		0x2000
#define F_AZTECRUNE		0x4000
#define F_UPCCOMP   	0x8000
#define F_CONCATREQ 	0x10000
#define F_ISBTCONCAT 	0x20000
#define F_BASE32    	0x40000
#define F_ISBN      	0x80000
#define	F_MINMAX		0x100000
#define F_FLAGMAX		(19)
#define OFS(x)	OffsetOf(SymCfg_t, x)


//Define the order shown in the CodeEnable list
#define Codabar			0
#define Code39			1
#define Int2of5			2
#define Code93			3
#define Code2of5		4
#define IATA2of5		5
#define Matrix2of5		6
#define Code11			7
#define Code128			8
#define Telepen			9
#define UPC_A			10
#define CouponCode		11
#define UPCE0			12
#define UPCE1			13
#define EANJAN13		14
#define EANJAN8			15
#define MSI				16
#define Plessey			17
#define RSS14			18
#define RSSLtd			19
#define RSSExp			20
#define PosiCode		21
#define	TriopticCode	22
#define CodablockF		23
#define Code16K			24
#define Code49			25
#define PDF417			26
#define MicroPDF417		27
#define Composite		28
#define TLC39			29
#define USPS4CB			30	
#define IDTAG			31
#define Postnet			32
#define PlanetCode		33
#define BritishPost		34
#define CanadaPost		35
#define KixPost			36
#define AusPost			37
#define JapanPost		38
#define ChinaPost		39
#define KoreaPost		40
#define QRCode			41
#define DataMatrix		42
#define MaxiCode		43
#define AztecCode		44

// HardwareTest Setup Dialog
void OnHardwareSetup();
Boolean HardwareSetupHandleEvent( EventPtr ev );

// Symbology Configuration Setup Dialog
void OnSymbologySetup();
Boolean SymbologyConfigSetupHandleEvent( EventPtr ev );

// Beep Frequency Setup Dialog
void OnOCRSetup();
Boolean OCRSetupHandleEvent( EventPtr ev );

// About Dialog
void OnAbout();
Boolean AboutHandleEvent( EventPtr ev );

#ifdef __cplusplus
	}
#endif
